%define upstream_name    Search-QueryParser
%define upstream_version 0.95

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Parses a query string into a data structure
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildArch:  noarch

%description
This module parses a query string into a data structure to be handled by
external search engines. For examples of such engines, see the
File::Tabular manpage and the Search::Indexer manpage.

The query string can contain simple terms, "exact phrases", field names and
comparison operators, '+/-' prefixes, parentheses, and boolean connectors.

The parser can be parameterized by regular expressions for specific notions
of "term", "field name" or "operator" ; see the the new manpage method. The
parser has no support for lemmatization or other term transformations :
these should be done externally, before passing the query data structure to
the search engine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.950.0-3.mga10
+ Revision: 2206872
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.950.0-2.mga9
+ Revision: 1814152
- Mageia 9 Mass Rebuild

* Fri Feb 26 2021 tv <tv> 0.950.0-1.mga9
+ Revision: 1692157
- BR perl(Module::Build)
- update to 0.95

* Wed Feb 12 2020 umeabot <umeabot> 0.940.0-9.mga8
+ Revision: 1497126
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.940.0-8.mga7
+ Revision: 1271087
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.940.0-7.mga6
+ Revision: 1033020
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.940.0-6.mga6
+ Revision: 934012
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.940.0-5.mga5
+ Revision: 745268
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.940.0-4.mga5
+ Revision: 686181
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.940.0-3.mga4
+ Revision: 514605
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.940.0-2.mga3
+ Revision: 372557
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.940.0-1.mga1
+ Revision: 22824
- cleaning spec file
- imported package perl-Search-QueryParser

